# Create an entry as a draft

`POST /cms/entries` · Rivier · content

Create an entry as a draft.

- Scope: content:write
- Mcp: rivier_cms_create
- Graphql: Mutation.contentEntryCreate
- Sdk: content.entry.create
- Cli: content entry create
- Events: content.entry.created

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string"
    },
    "slug": {
      "type": "string",
      "maxLength": 120
    },
    "locale": {
      "type": "string",
      "maxLength": 20
    },
    "site": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 80
        },
        {
          "type": "null"
        }
      ]
    },
    "fields": {
      "type": "object",
      "additionalProperties": {}
    },
    "seo": {
      "type": "object",
      "properties": {
        "title": {
          "type": "string",
          "maxLength": 200
        },
        "description": {
          "type": "string",
          "maxLength": 400
        },
        "canonical": {
          "type": "string",
          "format": "uri",
          "maxLength": 2000
        },
        "noindex": {
          "type": "boolean"
        },
        "ogImageAssetId": {
          "type": "string",
          "format": "uuid"
        },
        "answerSummary": {
          "type": "string",
          "maxLength": 800
        },
        "faq": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "q": {
                "type": "string",
                "minLength": 1,
                "maxLength": 300
              },
              "a": {
                "type": "string",
                "minLength": 1,
                "maxLength": 2000
              }
            },
            "required": [
              "q",
              "a"
            ],
            "additionalProperties": false
          },
          "maxItems": 30
        },
        "jsonld": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "maxLength": 60
            },
            "data": {
              "type": "object",
              "additionalProperties": {}
            }
          },
          "required": [
            "type"
          ],
          "additionalProperties": false
        },
        "includeInLlmsTxt": {
          "type": "boolean"
        }
      },
      "additionalProperties": false
    },
    "ai": {
      "type": "object",
      "properties": {
        "level": {
          "type": "string",
          "enum": [
            "none",
            "assisted",
            "generated"
          ]
        },
        "model": {
          "type": "string",
          "maxLength": 120
        },
        "agent": {
          "type": "string",
          "maxLength": 120
        },
        "disclosureLine": {
          "type": "string",
          "maxLength": 500
        },
        "reviewedBy": {
          "type": "string",
          "maxLength": 200
        },
        "reviewedAt": {
          "type": "string",
          "maxLength": 40
        }
      },
      "required": [
        "level"
      ],
      "additionalProperties": false
    },
    "contentItemId": {
      "type": "string",
      "format": "uuid"
    },
    "dryRun": {
      "type": "boolean"
    },
    "reason": {
      "type": "string",
      "maxLength": 300
    },
    "idempotencyKey": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    }
  },
  "required": [
    "type",
    "fields"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/cms/entries' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "string",
  "fields": {}
}'
```
